For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • POSTCreate a tier group
      • GETList tier groups
      • PUTUpdate tier group
      • DELDelete tier group
      • GETGet tier group
      • GETList tiers
      • POSTCreate a tier
      • DELDelete tier
      • PUTUpdate tier
      • POSTAssign a tier
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyTier

Create a tier

POST
https://api.brevo.com/v3/loyalty/tier/programs/:pid/tier-groups/:gid/tiers
POST
/v3/loyalty/tier/programs/:pid/tier-groups/:gid/tiers
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tier.createTierForTierGroup("pid", "gid", {
8 accessConditions: [
9 {},
10 ],
11 name: "string",
12 });
13}
14main();
1{
2 "accessConditions": [
3 {
4 "balanceDefinitionId": "string",
5 "createdAt": "2024-01-15T09:30:00Z",
6 "minimumValue": 1,
7 "updatedAt": "2024-01-15T09:30:00Z"
8 }
9 ],
10 "createdAt": "2024-01-15T09:30:00Z",
11 "groupId": "string",
12 "imageRef": "string",
13 "loyaltyProgramId": "string",
14 "name": "string",
15 "tierId": "string",
16 "tierRewards": [
17 {
18 "createdAt": "2024-01-15T09:30:00Z",
19 "rewardId": "string",
20 "updatedAt": "2024-01-15T09:30:00Z"
21 }
22 ],
23 "updatedAt": "2024-01-15T09:30:00Z"
24}

Creates a new tier in a loyalty program tier group. (The changes will take effect with the next publication of the loyalty program)

Was this page helpful?
Previous

Delete tier

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID
gidstringRequiredformat: "uuid"
Tier group ID

Request

This endpoint expects an object.
accessConditionslist of objectsRequired
namestringRequired
Name of the tier to be created
imageRefstringOptional
Image of the tier
tierRewardslist of objectsOptional

Response

Tier successfully created
accessConditionslist of objects
Conditions required to access this tier
createdAtdatetime
groupIdstringformat: "uuid"
Associated group Id
imageRefstring
Tier image reference
loyaltyProgramIdstringformat: "uuid"
Associated loyalty program Id
namestring
Tier name
tierIdstringformat: "uuid"
Tier id
tierRewardslist of objects
Rewards associated with this tier
updatedAtdatetime

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error